## linux-guest-loader 1.9.0

=== Makefile ===
PACKAGE_NAME := linux-guest-loader

PACKAGE_VERSION := 1
PACKAGE_SUBVERSION := 9
PACKAGE_EXTRAVERSION := 0
PACKAGE_RELEASE := 1

SHELL = /bin/sh
RPM_BASE := $(CURDIR)/build
RPM_SPECSDIR := $(RPM_BASE)/SPECS
RPM_SOURCESDIR := $(RPM_BASE)/SOURCES
RPM_SRPMDIR := $(RPM_BASE)/SRPMS
RPM_BRPMDIR := $(RPM_BASE)/RPMS

LGL_SOURCES := $(wildcard *.py)
LGL_VERSION := $(PACKAGE_VERSION).$(PACKAGE_SUBVERSION).$(PACKAGE_EXTRAVERSION)
LGL_RELEASE := $(PACKAGE_RELEASE)

PACKAGE_OUTPUT := $(PACKAGE_NAME)-$(LGL_VERSION)-$(LGL_RELEASE).noarch.rpm

LGL_SPEC := $(RPM_SPECSDIR)/$(PACKAGE_NAME).spec
LGL_SRC_DIR := $(PACKAGE_NAME)-$(LGL_VERSION)
LGL_SRC := $(RPM_SOURCESDIR)/$(PACKAGE_NAME)-$(LGL_VERSION).tar.gz
LGL_SRPM := $(PACKAGE_NAME)-$(LGL_VERSION)-$(LGL_RELEASE).src.rpm

.PHONY: build
build: $(LGL_SRPM)
	rpmbuild --rebuild --define "_topdir $(RPM_BASE)" \
	$(RPM_SRPMDIR)/$(LGL_SRPM)

$(LGL_SRPM): $(RPM_BASE) $(LGL_SPEC) $(LGL_SRC)
	rpmbuild -bs  --define "_topdir $(RPM_BASE)" $(LGL_SPEC)

$(RPM_BASE): 
	-mkdir -p $@
	-mkdir -p $@/SPECS
	-mkdir -p $@/SOURCES
	-mkdir -p $@/SRPMS
	-mkdir -p $@/RPMS
	-mkdir -p $@/BUILD

.SECONDARY: $(LGL_SRC)
$(LGL_SRC): $(LGL_SOURCES)
	mkdir -p $(LGL_SRC_DIR)
	cp -f $^ $(LGL_SRC_DIR)
	tar zcf $@ $(LGL_SRC_DIR)
	rm -rf $(LGL_SRC_DIR)

.SECONDARY: $(RPM_SPECSDIR)/%.spec
$(RPM_SPECSDIR)/%.spec: mk/$(PACKAGE_NAME).spec.in
	sed -e 's/@LGL_VERSION@/$(LGL_VERSION)/g' \
	-e 's/@LGL_RELEASE@/$(LGL_RELEASE)/g' \
	< $< \
	> $@

.PHONY: clean
clean:
	rm -f $(LGL_SRC) $(LGL_SPEC)
	rm -rf $(RPM_BASE)

=== mk/Makefile ===
REPONAME := linux-guest-loader
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

LGL_VERSION := 1.9.0
LGL_RELEASE := $(shell $(shell $(call git_cset_number,$(REPONAME))); echo $$CSET_NUMBER)

LGL_SOURCES := $(wildcard ../*.py)
DATA_FILES := $(wildcard $(PROJECT_OUTPUTDIR)/rhel*/*initrd-additions*) \
	$(wildcard $(PROJECT_OUTPUTDIR)/ubuntu*guest-installer/*initrd-additions*)

LGL_SPEC := linux-guest-loader.spec
LGL_SRC_DIR := linux-guest-loader-$(LGL_VERSION)
LGL_SRC := $(RPM_SOURCESDIR)/linux-guest-loader-$(LGL_VERSION).tar.gz
DATA_TARBALL := $(RPM_SOURCESDIR)/data.tar.gz
LGL_SRPM := linux-guest-loader-$(LGL_VERSION)-$(LGL_RELEASE).src.rpm
LGL_STAMP := $(MY_OBJ_DIR)/.rpmbuild.lgl.stamp

.PHONY: build
build: $(LGL_STAMP) $(MY_OUTPUT_DIR)/linux-guest-loader.inc

$(MY_OUTPUT_DIR)/linux-guest-loader.inc: $(MY_OUTPUT_DIR)/.dirstamp Makefile
	{ echo LGL_PKG_NAME := linux-guest-loader ;\
	  echo LGL_PKG_VERSION := $(LGL_VERSION)-$(LGL_RELEASE) ;\
	  echo LGL_PKG_FILE := RPMS/noarch/linux-guest-loader-$(LGL_VERSION)-$(LGL_RELEASE).noarch.rpm ;\
	} >$@

.PHONY: pylint
pylint:
	run-pylint.sh $(LGL_SOURCES)

.PHONY: sources
sources: $(LGL_SRC)

.PHONY: clean
clean:
	rm -f $(LGL_STAMP) $(LGL_SRC) $(RPM_SPECSDIR)/$(LGL_SPEC)

.SECONDARY: $(LGL_SRC)
$(LGL_SRC): $(LGL_SOURCES)
	$(call mkdir_clean,$(MY_OBJ_DIR)/$(LGL_SRC_DIR))
	cp -f $^ $(MY_OBJ_DIR)/$(LGL_SRC_DIR)
	tar zcf $@ -C $(MY_OBJ_DIR) $(LGL_SRC_DIR)
	rm -rf $(MY_OBJ_DIR)/$(LGL_SRC_DIR)

.SECONDARY: $(RPM_SPECSDIR)/%.spec
$(RPM_SPECSDIR)/%.spec: *.spec.in Makefile
	sed -e 's/@LGL_VERSION@/$(LGL_VERSION)/g' \
	  -e 's/@LGL_RELEASE@/$(LGL_RELEASE)/g' \
	  < $< \
	  > $@

.SECONDARY: $(DATA_TARBALL)
$(DATA_TARBALL): $(DATA_FILES)
	tar zcvf $@ -C $(PROJECT_OUTPUTDIR) `echo $^ | sed -e 's!$(PROJECT_OUTPUTDIR)/!!g'`

$(RPM_SRPMSDIR)/$(LGL_SRPM): $(RPM_DIRECTORIES) $(RPM_SPECSDIR)/$(LGL_SPEC) $(LGL_SRC) $(DATA_TARBALL)
	$(RPMBUILD) -bs --with data $(RPM_SPECSDIR)/$(LGL_SPEC)

$(LGL_STAMP): $(RPM_SRPMSDIR)/$(LGL_SRPM)
	# work around rpmbuild removing source and spec
	ln -f $(RPM_SPECSDIR)/$(LGL_SPEC) $(RPM_SPECSDIR)/$(LGL_SPEC).keep
	ln -f $(LGL_SRC) $(LGL_SRC).keep
	$(RPMBUILD) --rebuild --with data $(RPM_SRPMSDIR)/$(LGL_SRPM)
	mv -f $(RPM_SPECSDIR)/$(LGL_SPEC).keep $(RPM_SPECSDIR)/$(LGL_SPEC)
	mv -f $(LGL_SRC).keep $(LGL_SRC)
	touch $@

=== debian/changelog ===
linux-guest-loader (1.9.0-1) UNRELEASED; urgency=low

  * Switch to upstream repository

 -- Euan Harris <euan.harris@citrix.com>  Mon, 17 Feb 2014 12:00:00 +0000

linux-guest-loader (0.9.1-1) UNRELEASED; urgency=low

  * Convert package from eliloader to upstream linux-guest-loader

 -- Mike McClurg <mike.mcclurg@citrix.com>  Wed, 22 Jan 2014 12:00:00 +0000

linux-guest-loader (0.3-1) UNRELEASED; urgency=low

  * Update to eliloader 0.3

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 24 Jun 2013 12:00:00 +0000

linux-guest-loader (0.2-1) UNRELEASED; urgency=low

  * Update to eliloader 0.2 (doesn't assume data file directory is present)

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 22 Jun 2013 12:00:00 +0000

linux-guest-loader (0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 22 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: linux-guest-loader
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 python-setuptools,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 xcp-python-libs,
 python-setuptools-git,
 python-dev

Package: linux-guest-loader
Architecture: all
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xcp-python-libs
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Bootloader for EL-based distributions that support Xen
 Bootloader for EL-based distributions that support Xen.
